﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Telerik.Windows.Controls;
using System.Windows;
using Microsoft.Practices.Prism.MefExtensions;
using System.Reflection;
using System.ComponentModel.Composition.Hosting;

namespace RadDocking_PRISM_WPF
{
	public class Bootstrapper : MefBootstrapper
	{
		protected override System.Windows.DependencyObject CreateShell()
		{
			return this.Container.GetExportedValue<Shell>();
		}

		protected override void InitializeShell()
		{
			base.InitializeShell();

			System.Windows.Application.Current.MainWindow = (System.Windows.Window)this.Shell;
			System.Windows.Application.Current.MainWindow.Show();
		}

		protected override void ConfigureAggregateCatalog()
		{
			base.ConfigureAggregateCatalog();
			AggregateCatalog.Catalogs.Add(new AssemblyCatalog(Assembly.GetExecutingAssembly()));
		}
	}
}
