﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.Events;
using Telerik.Windows.Controls;
using Microsoft.Practices.Prism.Regions;
using System.ComponentModel.Composition.Hosting;
using System.ComponentModel.Composition;
using Microsoft.Practices.ServiceLocation;

namespace RadDocking_PRISM_WPF
{
	/// <summary>
	/// Interaction logic for Shell.xaml
	/// </summary>
	[Export]
	public partial class Shell : Window
	{
		private IRegionManager regionManager;

		[ImportingConstructor]
		public Shell(IRegionManager regionManager)
		{
			InitializeComponent();
			this.regionManager = regionManager;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.dock.Panes.ToList()[0].IsHidden = false;
		}

		private void dock_Show(object sender, Telerik.Windows.Controls.Docking.StateChangeEventArgs e)
		{
			var mainRegion = this.regionManager.Regions["MainGroupRegion"];
			var view = ServiceLocator.Current.GetInstance<MyUserControl>();

			if (mainRegion == null || view == null)
			{
				return;
			}

			mainRegion.Add(view);
		}
	}
}
